---
name: Bug report
about: Create a report about something that is not working
---

<!--

More information on our issue management policies can be found here: https://aka.ms/aspnet/issue-policies

Please keep in mind that the GitHub issue tracker is not intended as a general support forum, but for reporting non-security bugs and feature requests.

If you believe you have an issue that affects the SECURITY of the platform, please do NOT create an issue and instead email your issue details to secure@microsoft.com. Your report may be eligible for our [bug bounty](https://www.microsoft.com/en-us/msrc/bounty-dot-net-core) but ONLY if it is reported through email.
For other types of questions, consider using [StackOverflow](https://stackoverflow.com).

-->

### Describe the bug
A clear and concise description of what the bug is.

### To Reproduce
<!--
What steps can we follow to reproduce the issue?

We ❤ code! Include a complete code listing or point us to a minimalistic GitHub repo.

``` C#
Console.WriteLine("Hello, World!");
```

Got Exceptions? Include both the message and the stack trace
-->

### Further technical details
- ASP.NET Core version
- Include the output of `dotnet --info`
- The IDE (VS / VS Code/ VS4Mac) you're running on, and it's version
